Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.decode
Class CCITTFaxDecoder

    java.lang.Object
      com.sun.pdfview.decode.CCITTFaxDecoder

    public class CCITTFaxDecoder

extends java.lang.Object

Constructor Summary
`CCITTFaxDecoder(int fillOrder, int w, int h)`

Method Summary
`protected boolean` | `consumeEOL()`
`protected void` | `decodeNextScanline(byte[] buffer, int lineOffset, int bitOffset)`
`void` | `decodeT41D(byte[] buffer, byte[] compData, int startX, int height)`
`void` | `decodeT42D(byte[] buffer, byte[] compData, int startX, int height)`
`void` | `decodeT6(byte[] buffer, byte[] compData, int startX, int height)`
`boolean` | `isAlign()`
`boolean` | `isFillBits()`
`void` | `setAlign(boolean align)`
`void` | `setFillBits(boolean fillBits)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CCITTFaxDecoder

    public CCITTFaxDecoder(int fillOrder,
                           int w,
                           int h)

Parameters:
  `fillOrder` - The fill order of the compressed data bytes.
  `w` -
  `h` -

Method Detail

### consumeEOL

    protected boolean consumeEOL()

### decodeNextScanline

    protected void decodeNextScanline(byte[] buffer,
                                      int lineOffset,
                                      int bitOffset)

### decodeT41D

    public void decodeT41D(byte[] buffer,
                           byte[] compData,
                           int startX,
                           int height)

### decodeT42D

    public void decodeT42D(byte[] buffer,
                           byte[] compData,
                           int startX,
                           int height)

### decodeT6

    public void decodeT6(byte[] buffer,
                         byte[] compData,
                         int startX,
                         int height)

### isAlign

    public boolean isAlign()

### isFillBits

    public boolean isFillBits()

### setAlign

    public void setAlign(boolean align)

### setFillBits

    public void setFillBits(boolean fillBits)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD